Subject: Re: automake and pyconfigure: a future integration? (was: Re: [PATCH] AM_PATH_PYTHON: try "python2" et al. first)

From: Kerrick Staley <[email-masked]>
Date: Thu, 13 Dec 2012 18:00:52 -0600

Quite a lengthy response for such a simple inquiry!

Really, I'd just like to get gobject-introspection to compile on Arch
Linux. The problem is that gobject-introspection's configure.ac has the line

AM_PATH_PYTHON([2.5])

but gobject-introspection can't actually work with Python 3 or higher (the
default on Arch); it needs Python 2. Automake doesn't seem to provide a way
to specify this need.

The problem could be fixed by changing AM_PATH_PYTHON could be changed to
prefer Python 2 over Python 3, as my patch does. However, I guess this
would cause packages that support both Python 2 and Python 3 to build
against Python 2 by default even if Python 3 is present.

Pyconfigure looks like the best way forward, then, but it's not widely
deployed at this point. AM_PATH_PYTHON could also just be tweaked to
support a "max version" argument. I'm passing PYTHON=/usr/bin/python2 to
autogen.sh for the time being.

- Kerrick